/************************************************************************
**
** @(#)korbutt.h	12/29/93	Chris Ahlstrom
**
**	This module interfaces C++ with code for handling the mouse as a
** button device.
**
*************************************************************************/

#if !defined(KORBUTT_h)					// { KORBUTT_h
#define KORBUTT_h

#include "rbuttons.h"		// ResponseButton class and type declarations


#define GAME_PORT	0x201		// port for the Koala Pad


/************************************************************************
** KoalaResponseButton base class
*************************************************************************/

class KoalaResponseButton : public ResponseButton
{

public:

    KoalaResponseButton ();		// constructor

    virtual ~KoalaResponseButton ();	// destructor
    virtual int readKey ();		// default support is keyboard

};


#endif							// } KORBUTT_h

